RuleCreator (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.logic.rule.RuleCreator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.logic.rule
Class RuleCreator

    java.lang.Object
      com.meyling.principia.logic.rule.RuleCreator

public final class RuleCreator
extends Object

This class provides static methods for reading and writing an `Argument`.

Version:
  $Revision: 1.9 $
Author:
  Michael Meyling

Field Summary
`static String` | `RULE_ADD_AXIOM` string for `AddAxiom`
`static String` | `RULE_ADD_SENTENCE` string for `AddSenctence`
`static String` | `RULE_APPLY_AXIOM` string for `AddAxiom`
`static String` | `RULE_APPLY_SENTENCE` string for `ApplySenctence`
`static String` | `RULE_CONJUNCTION_RULE` string for `ElementaryEquivalence`
`static String` | `RULE_ELEMENTARY_EQUIVALENCE` string for `ElementaryEquivalence`
`static String` | `RULE_GENERALIZATION` string for `Generalization`
`static String` | `RULE_HYPOTHETICAL_SYLLOGISM` string for `HypotheticalSyllogism`
`static String` | `RULE_LEFT_ADDITION` string for `LeftAddition`
`static String` | `RULE_LEFT_ADDITION_CONJUNCTION` string for `LeftAdditionConjunction`
`static String` | `RULE_LEFT_ADDITION_EQUIVALENCE` string for `RightAdditionImplication`
`static String` | `RULE_LEFT_ADDITION_IMPLICATION` string for `RightAdditionImplication`
`static String` | `RULE_LINK_REFERENCE` string for `LinkReference`
`static String` | `RULE_MODUS_PONENS` string for `ModusPonens`
`static String` | `RULE_PARTICULARIZATION` string for `Particularization`
`static String` | `RULE_RENAME_BOUND_SUBJECT_VARIABLE` string for `RenameBoundSubjectVariable`
`static String` | `RULE_RENAME_FREE_SUBJECT_VARIABLE` string for `RenameFreeSubjectVariable`
`static String` | `RULE_REPLACE_PREDICATE_VARIABLE` string for `ReplacePredicate`
`static String` | `RULE_REPLACE_PROPOSITION_VARIABLE` string for `ReplacePropositonVariable`
`static String` | `RULE_REVERSE_ABBREVIATION` string for `ReverseAbbreviation`
`static String` | `RULE_REVERSE_IMPLICATION` string for `ReverseImplication`
`static String` | `RULE_RIGHT_ADDITION` string for `RightAddition`
`static String` | `RULE_RIGHT_ADDITION_CONJUNCTION` string for `RightAdditionConjunction`
`static String` | `RULE_RIGHT_ADDITION_EQUIVALENCE` string for `RightAdditionImplication`
`static String` | `RULE_RIGHT_ADDITION_IMPLICATION` string for `RightAdditionImplication`
`static String` | `RULE_SUBST_LINE` string for `HypotheticalSyllogism`
`static String` | `RULE_USE_ABBREVIATION` string for `UseAbbreviation`

Constructor Summary
`RuleCreator()`

Method Summary
`static Map` | `getMap()` Get the mapping of Strings to operator classes.
`static String` | `getName(Class clazz)` Get name of known operator class.
`static Argument` | `readArgument(TextInput input, ParsingTable parsing)` Create an `Argument` out of an `TextInput` object.
`static String` | `writeArgument(Argument argument)` Write an `Argument` to an `String`.
`static void` | `writeArgument(Output output, Argument argument)` Write an `Argument` to an `Output` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RULE_LINK_REFERENCE

    public static final String RULE_LINK_REFERENCE

  string for `LinkReference`

  See Also:
    Constant Field Values

### RULE_MODUS_PONENS

    public static final String RULE_MODUS_PONENS

  string for `ModusPonens`

  See Also:
    Constant Field Values

### RULE_ADD_AXIOM

    public static final String RULE_ADD_AXIOM

  string for `AddAxiom`

  See Also:
    Constant Field Values

### RULE_APPLY_AXIOM

    public static final String RULE_APPLY_AXIOM

  string for `AddAxiom`

  See Also:
    Constant Field Values

### RULE_ADD_SENTENCE

    public static final String RULE_ADD_SENTENCE

  string for `AddSenctence`

  See Also:
    Constant Field Values

### RULE_APPLY_SENTENCE

    public static final String RULE_APPLY_SENTENCE

  string for `ApplySenctence`

  See Also:
    Constant Field Values

### RULE_USE_ABBREVIATION

    public static final String RULE_USE_ABBREVIATION

  string for `UseAbbreviation`

  See Also:
    Constant Field Values

### RULE_REVERSE_ABBREVIATION

    public static final String RULE_REVERSE_ABBREVIATION

  string for `ReverseAbbreviation`

  See Also:
    Constant Field Values

### RULE_REPLACE_PROPOSITION_VARIABLE

    public static final String RULE_REPLACE_PROPOSITION_VARIABLE

  string for `ReplacePropositonVariable`

  See Also:
    Constant Field Values

### RULE_REPLACE_PREDICATE_VARIABLE

    public static final String RULE_REPLACE_PREDICATE_VARIABLE

  string for `ReplacePredicate`

  See Also:
    Constant Field Values

### RULE_RENAME_FREE_SUBJECT_VARIABLE

    public static final String RULE_RENAME_FREE_SUBJECT_VARIABLE

  string for `RenameFreeSubjectVariable`

  See Also:
    Constant Field Values

### RULE_RENAME_BOUND_SUBJECT_VARIABLE

    public static final String RULE_RENAME_BOUND_SUBJECT_VARIABLE

  string for `RenameBoundSubjectVariable`

  See Also:
    Constant Field Values

### RULE_GENERALIZATION

    public static final String RULE_GENERALIZATION

  string for `Generalization`

  See Also:
    Constant Field Values

### RULE_PARTICULARIZATION

    public static final String RULE_PARTICULARIZATION

  string for `Particularization`

  See Also:
    Constant Field Values

### RULE_HYPOTHETICAL_SYLLOGISM

    public static final String RULE_HYPOTHETICAL_SYLLOGISM

  string for `HypotheticalSyllogism`

  See Also:
    Constant Field Values

### RULE_SUBST_LINE

    public static final String RULE_SUBST_LINE

  string for `HypotheticalSyllogism`

  See Also:
    Constant Field Values

### RULE_RIGHT_ADDITION

    public static final String RULE_RIGHT_ADDITION

  string for `RightAddition`

  See Also:
    Constant Field Values

### RULE_ELEMENTARY_EQUIVALENCE

    public static final String RULE_ELEMENTARY_EQUIVALENCE

  string for `ElementaryEquivalence`

  See Also:
    Constant Field Values

### RULE_CONJUNCTION_RULE

    public static final String RULE_CONJUNCTION_RULE

  string for `ElementaryEquivalence`

  See Also:
    Constant Field Values

### RULE_LEFT_ADDITION

    public static final String RULE_LEFT_ADDITION

  string for `LeftAddition`

  See Also:
    Constant Field Values

### RULE_REVERSE_IMPLICATION

    public static final String RULE_REVERSE_IMPLICATION

  string for `ReverseImplication`

  See Also:
    Constant Field Values

### RULE_LEFT_ADDITION_CONJUNCTION

    public static final String RULE_LEFT_ADDITION_CONJUNCTION

  string for `LeftAdditionConjunction`

  See Also:
    Constant Field Values

### RULE_RIGHT_ADDITION_CONJUNCTION

    public static final String RULE_RIGHT_ADDITION_CONJUNCTION

  string for `RightAdditionConjunction`

  See Also:
    Constant Field Values

### RULE_LEFT_ADDITION_IMPLICATION

    public static final String RULE_LEFT_ADDITION_IMPLICATION

  string for `RightAdditionImplication`

  See Also:
    Constant Field Values

### RULE_RIGHT_ADDITION_IMPLICATION

    public static final String RULE_RIGHT_ADDITION_IMPLICATION

  string for `RightAdditionImplication`

  See Also:
    Constant Field Values

### RULE_LEFT_ADDITION_EQUIVALENCE

    public static final String RULE_LEFT_ADDITION_EQUIVALENCE

  string for `RightAdditionImplication`

  See Also:
    Constant Field Values

### RULE_RIGHT_ADDITION_EQUIVALENCE

    public static final String RULE_RIGHT_ADDITION_EQUIVALENCE

  string for `RightAdditionImplication`

  See Also:
    Constant Field Values

Constructor Detail

### RuleCreator

    public RuleCreator()

Method Detail

### getMap

    public static final Map getMap()

  Get the mapping of Strings to operator classes. The returned Map should not be modified.

  Returns:
    mapping of known Strings, do not change this Map

### getName

    public static final String getName(Class clazz)
                                throws IllegalArgumentException

  Get name of known operator class.

  Parameters:
    `clazz` - look for name of this class
  Returns:
    name of operator class
  Throws:
    `IllegalArgumentException` - if operator class `c` is unknown

### readArgument

    public static final Argument readArgument(TextInput input,
                                              ParsingTable parsing)
                                       throws ParsingException

  Create an `Argument` out of an `TextInput` object.

  Parameters:
    `input` - source to read from
    `parsing` - maps `Argument`s into `Position`s
  Returns:
    created argument
  Throws:
    `ParsingException` - if creation failed

### writeArgument

    public static final void writeArgument(Output output,
                                           Argument argument)
                                    throws IllegalArgumentException

  Write an `Argument` to an `Output` object.

  Parameters:
    `output` - destination to write to
    `argument` - this object will be written
  Throws:
    `IllegalArgumentException` - if writing failed

### writeArgument

    public static final String writeArgument(Argument argument)
                                      throws IllegalArgumentException

  Write an `Argument` to an `String`.

  Parameters:
    `argument` - this object will be written
  Returns:
    created string
  Throws:
    `IllegalArgumentException` - if writing failed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.